VSNPRINTF(9)

NAME
vsnprintf - Format a string and place it in a buffer

SYNOPSIS

int vsnprintf (char * buf, size_t size, const char * fmt, va_list args);

ARGUMENTS

buf The buffer to place the result into

size
    The size of the buffer, including the trailing null space

fmt The format string to use

args
    Arguments for the format string

DESCRIPTION

The return value is the number of characters which would be generated for the given input, excluding the trailing '\0', as per ISO C99. If you want to have the exact number of characters written into buf as return value (not including the trailing '\0'), use vscnprintf. If the return is greater than or equal to size, the resulting string is truncated.

Call this function if you are already dealing with a va_list. You probably want snprintf instead.